/api/v1/ops/operations/republish-picks
POST
/api/v1/ops/operations/republish-picks
const url = 'https://nbaproplab.com/api/v1/ops/operations/republish-picks';const options = { method: 'POST', headers: { 'Idempotency-Key': 'score-day-2026-05-27-001', Authorization: 'Bearer <token>', 'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json' }, body: '{"date":"2026-04-15","league":"nba"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://nbaproplab.com/api/v1/ops/operations/republish-picks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: score-day-2026-05-27-001' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "date": "2026-04-15", "league": "nba" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
string
Unique key for safe retry. Duplicate requests return the original operation.
Example
score-day-2026-05-27-001Request Body required
Section titled “Request Body required ”object
date
required
string format: date
league
string
object
date
required
string format: date
league
string
object
date
required
string format: date
league
string
Responses
Section titled “ Responses ”Accepted
object
id
integer | string format: int32
type
string
targetService
string
status
string
createdAt
string format: date-time
createdBy
string
startedAt
null | string format: date-time
completedAt
null | string format: date-time
durationMs
null | integer | string format: int32
cancelRequested
boolean
output
error
null | string
links
object
key
additional properties
string
object
id
integer | string format: int32
type
string
targetService
string
status
string
createdAt
string format: date-time
createdBy
string
startedAt
null | string format: date-time
completedAt
null | string format: date-time
durationMs
null | integer | string format: int32
cancelRequested
boolean
output
error
null | string
links
object
key
additional properties
string
Example generated
{ "id": 1, "type": "example", "targetService": "example", "status": "example", "createdAt": "2026-04-15T12:00:00Z", "createdBy": "example", "startedAt": "2026-04-15T12:00:00Z", "completedAt": "2026-04-15T12:00:00Z", "durationMs": 1, "cancelRequested": true, "output": "example", "error": "example", "links": { "additionalProperty": "example" }}object
id
integer | string format: int32
type
string
targetService
string
status
string
createdAt
string format: date-time
createdBy
string
startedAt
null | string format: date-time
completedAt
null | string format: date-time
durationMs
null | integer | string format: int32
cancelRequested
boolean
output
error
null | string
links
object
key
additional properties
string
Example generated
{ "id": 1, "type": "example", "targetService": "example", "status": "example", "createdAt": "2026-04-15T12:00:00Z", "createdBy": "example", "startedAt": "2026-04-15T12:00:00Z", "completedAt": "2026-04-15T12:00:00Z", "durationMs": 1, "cancelRequested": true, "output": "example", "error": "example", "links": { "additionalProperty": "example" }}Authentication required.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Insufficient permissions or tier.
Media type application/problem+json
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Conflict
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}